Subject: [Syslog] Mib issues and resolutions

From: "David Harrington" <[email-masked]>
Date: Wed, 7 Feb 2007 15:51:19 -0500

Hi Glenn and Alex,

Can you provide a quick summary for the WG of the issues that have
been raised regarding the mib document and the sign document since the
beginning of the WGLC (which started 9-11-06 and 8-28-06
respectively), pointers to the threads where discussions of the issues
were held, the list of names for people who specifically took a
posiiton on the issue, and what you percieve to be the WG consensus on
the issues based on the stated positions?

As we near the end of the work on these documents, we will need these
summaries for AD review.

Thanks,
David Harrington
[email-masked] 
[email-masked]
[email-masked]

_______________________________________________
Syslog mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/syslog

---

From: "Glenn M. Keeni" <[email-masked]>
Date: Thu, 08 Feb 2007 13:41:38 +0900

Hi David,
   Got it. I will prepare the summary and mail it - tentatively
by 16/2.

   Thanks and cheers

         Glenn

---

From: "Glenn M. Keeni" <[email-masked]>
Date: Sun, 18 Feb 2007 17:43:11 +0900

Hi,
  David asked for a "quick summary" for the WG. I have prepared
a document which is not quick and is not much of a summary.
It provides
   - pointers to the mails where issues were raised,
   - the originator of the mail,
   - the main issues,
   - the action and,
   - the conclusion.
It will be useful if you use this "summary" along with some mail
archive tool (the wg archive covers only the last few days,
you may try http://www.cysol.co.jp/contrib/syslogmib/threads.html)
  Please note:
   a. It covers only discussions related to the MIB, issues
      related to other documents are not covered.
   b. It covers the period starting from the WGLC
   c. The list of main issues for each mail is not exhaustive.
      The positions of individuals and the pros and cons are not
      included.
      Please refer to the original the mail if you are looking
      for a detailed list.
   Please let me know if I have missed some threads.

  Cheers

  Glenn
> As we near the end of the work on these documents, we will need these

[Syslog] Working Group Last Call: syslog-mib document, David B Harrington 
   Re: [Syslog] Working Group Last Call: syslog-mib document, tom.petch 
   
   The "subject" of the MIB              => "Entity" 
   One or more syslog entities per MIB ? => Multiple entities. 

RE: [Syslog] MIB document decision, Alexander Clemm (alex) 
   To handle SyslogSign or not.
   WG polled. No response.               => Leave for later 
                                           ( Separate Document)
                   
[Syslog] WGLC results : Syslog-MIB, Glenn M. Keeni 
[Syslog] RE: Request for Reviewers - draft-ietf-syslog-device-mib-09.txt, Wijnen, Bert (Bert) 
   SMICng errors                         => Done 
   MIB nits                              => Done
   syslog-transport over tls             -> discussed => revised
   
[Syslog] Dbh Review of -mib-09, part 1, David Harrington 
   ID-nits
   Terminology: sender, receiver, relay  -> Discussed => Entity
   SyslogSeverity: "other"               -> Discussed 
   syslog-transport                      -> Discussed => revise        
   syslEntOpsMsgsIgnored: unclear        -> Discussed => revise
   syslEntOpsLastError: unclear          -> Discussed => revise
   syslEntOpsReference: unclear          -> Discussed => revise

[Syslog] Dbh re-Review of -mib-11, part 1, David Harrington 
   Terminology: sender, receiver, relay  -> Discussed => Entity
   SyslogSeverity: "other" usage ?       -> Discussed
   SyslogService: UDP/TCP ?              -> Discussed 
   Descriptive Indices                   -> Discussed => Use Description MOs 
   syslEntOpsMsgsIgnored: Allowed Specs? -> Discussed 
   syslEntOpsLastError: unclear          -> Clarified => revise

[Syslog] Dbh re-review of Mib-11-, part 2, David B Harrington 
   transportAddressType/Service unclear  -> Discussed
   syslogEntityControlStorageType        -> Discussed => revise
   notifications: Description unclear    -> Discussed => revise
   notifications: mandatory/optional ?   -> Clarified => optional
   transport security: discuss ?         -> Discussed => comment withdrawn

[Syslog] -mib-, part 3, David Harrington 
   Add congestion avoidance ?            -> No reaction from WG

[Syslog] Review of Mib-10, part 1, David Harrington 
   mainly ID, MIB nits                                => fix

[Syslog] Mib -10-, part 2, David Harrington 
   Terminology                           -> Discussed earlier
   One or more syslog entities per MIB ? -> Discussed earlier

[Syslog] Review of mib-11, part 3, David Harrington 
   Purpose of Default parameters         -> Explained

[Syslog] Syslog-mib-11, David Harrington 
   One or more syslog entities per MIB ? -> Discussed => multiple entities 

[Syslog] Syslog-mib-12, David Harrington 
   To WG: Fig1, Terminology 

Re: [Syslog] Submission of draft-ietf-syslog-device-mib-12.txt, Juergen Schoenwaelder
   Transport Domain matter               -> Discussed => Revise

[Syslog] Rfc3164 and mib, David Harrington 
   RFC3164 to be obsoleted                            => Revise

[Syslog] MIB Issue #1 - one or multiple? Seeking consensus, David Harrington 
   One or multiple entity per MIB        -> Discussed => Multiple entities

[Syslog] MIB Issue #2: document terminology., David Harrington 
   Terminology                           -> Discussed 

[Syslog] Mib-13, David Harrington 
   "Entity" unnecessary abstraction      -> Explained => Waiting for WG input 
   restructure mib tree                               => Revise
   Fig-1 unclear ? Incomplete ?          -> Explained
   MsgsSent ?                                         => Add MO
   unclear/incomplete Descriptions       -> Explained => Revise

entity `Re: [Syslog] Mib-13, tom.petch 
   Entity vs application                 -> Discussed

---

From: "tom.petch" <[email-masked]>
Date: Fri, 23 Feb 2007 11:00:05 +0100

Glenn

One issue that occurred to me that I do not think has surfaced before is the
nature of references in the MIB module which must make sense outside the wrapper
of the RFC, so that [RFCUDPX], [RFCTLSX] and [RFCBEEP] won't do.
.
Look at how this is handled in, for example, draft-ietf-pwe3-pw-mib-09, RFC4273
or RFC4750.

Tom Petch

----- Original Message -----
From: "Glenn M. Keeni" <[email-masked]>
To: <[email-masked]>
Sent: Sunday, February 18, 2007 9:43 AM
Subject: Re: [Syslog] Mib issues and resolutions

> <snip>
> ========================================================
>

---

From: "Glenn M. Keeni" <[email-masked]>
Date: Sat, 24 Feb 2007 10:11:12 +0900

> Look at how this is handled in, for example, draft-ietf-pwe3-pw-mib-09, RFC4273

Thanks.

Glenn

---

From: "Glenn M. Keeni" <[email-masked]>
Date: Sat, 24 Feb 2007 11:54:52 +0900

>> Look at how this is handled in, for example, draft-ietf-pwe3-pw-mib-09, RFC4273

draft-ietf-pwe3-pw-mib-09 does not seem to exist on internet-drafts
archives or on google.

Glenn

---

From: "Glenn M. Keeni" <[email-masked]>
Date: Sat, 24 Feb 2007 12:00:32 +0900

> draft-ietf-pwe3-pw-mib-09 does not seem to exist on internet-drafts
OK. I got draft-ietf-pwe3-pw-mib-10.txt